# BingMapsApi

#### BingMapsApi()
Core/BingMapsApi.js 15

  Object for setting and retrieving the default BingMaps API key.

### Members

#### staticCesium.BingMapsApi.defaultKey : String
Core/BingMapsApi.js 29

  The default Bing Maps API key to use if one is not provided to the constructor of an object that uses the Bing Maps API. If this property is undefined, Cesium's default key is used, which is only suitable for use early in development. Please generate your own key by visiting https://www.bingmapsportal.com/ as soon as possible and prior to deployment. When Cesium's default key is used, a message is printed to the console the first time the Bing Maps API is used.